load("@io_bazel_rules_go//go:def.bzl", "go_library")

go_library(
    name = "core",
    srcs = [
        "app.go",
        "gpio.go",
        "persist.go",
    ],
    importpath = "github.com/example/project/dezendorf/applications/astoria-hc/internal/core",
    visibility = ["//astoria-hc:__subpackages__"],
    deps = [
        "@com_github_brutella_hc//accessory:go_default_library",
        "@com_github_bwdezend_astoria_hc//internal/telemetry:go_default_library",
        "@com_github_stianeikeland_go_rpio//:go_default_library",
        "@com_github_vemo_france_max31865//:go_default_library",
    ],
)
